PIDOF(8)

NOM
pidof - Afficher le PID d'un programme

SYNOPSIS
pidof [-s] [-c] [-n] [-x] [-o sans_pid[,sans_pid...]] [-o sans_pid[,sans_pid...]] programme [programme...]

DESCRIPTION
Pidof cherche les numéros de processus (PID : « Process ID ») portant l'un des noms de programme indiqués. Il affiche ces numéros sur sa sortie standard. Ce programme est utilisé sur certains systèmes dans les scripts de changement de niveau d'exécution, en particulier pour les systèmes utilisant la structure rc de Système V. Dans ce cas, ces scripts sont situés dans /etc/rc?.d où « ? » est le niveau d'exécution. Si le système possède le programme start-stop-daemon(8), celui-ci devrait être utilisé à la place.

OPTIONS

-s  Un seul coup - pidof ne renverra qu'un seul pid.

-c  Ne renvoyer que les identifiants des processus qui sont exécutés dans le même répertoire racine. Cette option est ignorée pour les utilisateurs autres que le superutilisateur puisqu'ils ne peuvent pas vérifier le répertoire racine en cours des processus dont ils ne sont pas propriétaires.

-n  Éviter l'appel à la fonction système stat(2) pour tous les binaires situés sur des systèmes de fichiers en réseau comme NFS. Au lieu d'utiliser cette option, il est possible de configurer et d'exporter la variable PIDOF_NETFS.

-x  Scripts également - pidof renverra également les PID des shells exécutant les scripts indiqués.

-o sans_pid
    Demander à pidof de ne pas tenir compte du PID indiqué. Le PID spécial %PPID peut décrire le processus parent du programme pidof, c'est-à-dire le shell ou le script appelant.

CODE DE SORTIE

0   Au moins un programme a été trouvé avec le nom demandé.

1   Aucun programme trouvé avec le nom demandé.

NOTES
pidof utilise en fait le même programme que killall5 ; la différence de comportement se fait en fonction du nom du programme appelé.

Quand pidof est exécuté avec le chemin complet du programme dont il doit chercher le PID, son comportement est fiable. Dans le cas contraire, les PID renvoyés peuvent être ceux de processus portant le même nom mais qui sont en fait des programmes différents. Notez que le nom de l'exécutable des processus en cours d'exécution est obtenu à l'aide de readlink(2), et donc les liens symboliques vers les exécutables correspondront également.

VOIR AUSSI
shutdown(8), init(8), halt(8), reboot(8), killall5(8)

AUTEUR
Miquel van Smoorenburg, miquels@cistron.nl

TRADUCTION
La traduction de cette page de manuel est maintenue par les membres de la liste <debian-l10n-french AT lists DOT debian DOT org>. Veuillez signaler toute erreur de traduction par un rapport de bogue sur le paquet manpages-fr-extra.